#include "AlleleStr.h"

void AlleleString :: copy(const AlleleString& other) {
  if(this == &other) return;
  if(len != other.len) {
    delete [] data;
    data = new Allele [len = other.len];
  }
  _alleles = other._alleles;
  for(int i=0; i<len; i++) data[i] = other.data[i];
}


bool operator== (const AlleleString& a, const AlleleString& b) {
  if(a.len != b.len) return false;
  int len = a.len; bool isEqual = true;
  for(int i=0; isEqual && i<len; i++)
    isEqual = (a[i]==b[i]);
  return isEqual;
}


ostream& operator<< (ostream& os, const AlleleString& astr) {
  for(int i=0; i<astr.len; i++) 
    os << astr.data[i];
  return os;
}


