#include "knapsack.h"

fstream os;

void startLog(const MOEA& moea) {
  time_t t1 = time(NULL);
  cout << "\n\nstart time: \t" << ctime(&t1) << endl;
  char* str = moea.parametersString(); 
  ostrstream oss; 
  oss << "../tmp/{knapsack" << moea.genes();
  oss << "." << moea.objectiveDimensions()  << "}...";
  oss << str << ends; delete str;
  char * filename = oss.str();
  os.open(filename, ios::out);  assert(os);
  delete filename;
}


void endLog(const MOEA& moea) {
  moea.printResult(os);
  os.close();
  time_t t2 = time(NULL);
  cout << "terminate time: \t" << ctime(&t2) << endl;
  cout << "process time  : \t" << clock()/CLOCKS_PER_SEC << " seconds\n";
}

